#include <iostream>
using namespace std;
int main()
{
    int n,d,k;
    cin>>n>>d>>k;
    int sbor=0;
    for (int i =1; i<=k; i++)
    {
        if(d*i>n)
        {
            sbor=sbor+(d*i%n+1)  ;
        }
        else if (d*i==n)
        {
            sbor=sbor+1;
        }
        else
        {
            sbor=sbor+d*i+1;
        }



    }

cout<<sbor+1;
    return 0;
}
